import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class StatelessPVC<T extends ChangeNotifier> extends StatelessWidget {
  final T model;
  final Widget Function(BuildContext context, T model, Widget child) builder;
  final Widget child;

  StatelessPVC({@required this.model, @required this.builder, this.child});

  @override
  Widget build(BuildContext context) {
    return ChangeNotifierProvider<T>(
      builder: (context) => model,
      child: Consumer<T>(builder: builder),
    );
  }
}
